Name:           libctl
Version:        4.2.0
Release:        1%{?dist}.1
Summary:        Guile-based support for flexible control files
# integrator.c and cintergrator.c contain code licensed under GPLv2+
# The rest of the code is LGPLv2+, but most restrictive license wins
# for the package.
License:        GPLv2+
URL:            https://github.com/NanoComp/libctl
Source0:        https://github.com/NanoComp/libctl/releases/download/v%{version}/libctl-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-gfortran
BuildRequires:  guile-devel
BuildRequires:  libtool
Requires:       guile

%description
libctl is a Guile-based library that provides support for
flexible control files in scientific simulations.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%package	static
Summary:	Static library files for %{name}
Requires:	%{name}-devel%{?_isa} = %{version}-%{release}

%description	static
This package contains static libraries for %{name}

%prep
%setup -q

%build
#autoreconf -fiv
#F77=gfortran              \
%configure                \
        --disable-rpath   \
        --enable-shared   \
        --includedir=%{_includedir}/ctl

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete -print

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING COPYRIGHT
%{_libdir}/libctl*.so.*
%{_datadir}/libctl/

%files devel
%doc AUTHORS NEWS.md README.md
%doc doc/
%{_bindir}/gen-ctl-io
%{_includedir}/ctl/
%{_libdir}/libctl*.so
%{_mandir}/man1/gen-ctl-io.1*

%files static
%{_libdir}/libctl*.a

%changelog
* Mon Aug 18 2014 Christopher Meng <rpm@cicku.me> - 3.2.2-1
- Update to 3.2.2

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 21 2013 Deji Akingunola <dakingun@gmail.com> - 3.2.1-1
- Update to 3.2.1

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 12 2011 Deji Akingunola <dakingun@gmail.com> - 3.1-1
- Update to 3.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar 22 2009 Robert Scheck <robert@fedoraproject.org> - 3.0.2-9
- Rebuilt against libtool 2.2

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri May 23 2008 Jon Stanley <jonstanley@gmail.com> - 3.0.2-7
- Fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.0.2-6
- Autorebuild for GCC 4.3

* Sat Aug 25 2007  Ed Hill <ed@eh3.com> - 3.0.2-5
- rebuild for BuildID

* Sun Oct 15 2006  Ed Hill <ed@eh3.com> - 3.0.2-4
- put headers in a subdir to avoid possible name collisions

* Sat Oct 14 2006  Ed Hill <ed@eh3.com> - 3.0.2-3
- disable static libs

* Sat Oct 14 2006  Ed Hill <ed@eh3.com> - 3.0.2-2
- fix undefined non-weak symbols in libctlgeom

* Wed Sep 20 2006  Ed Hill <ed@eh3.com> - 3.0.2-1
- initial package creation
